{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request_report/note_edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request_report/note_edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('company_location_management_looking_for_property_request_report_report', {'id': lookingForPropertyRequestReport.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center w-100">Gesuchsmeldung, {{ lookingForPropertyRequestReport.getTitle() }} – Notiz bearbeiten</span>
        {% if is_granted('edit', lookingForPropertyRequestReport) == true %}
            {{ form_widget(reportNoteForm.save, {'label': 'SPEICHERN', 'id': reportNoteForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
            {% set listItems = [
                {
                    'label': 'Notiz löschen',
                    'url': path('company_location_management_looking_for_property_request_report_note_delete', {'id' : lookingForPropertyRequestReport.getId(), 'noteId' : lookingForPropertyRequestReportNote.getId()}),
                    'icon': 'delete_forever'
                },
            ] %}
            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'report_note','listItems': listItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            {% if is_granted('edit', lookingForPropertyRequestReport) == true %}
                {{ form_start(reportNoteForm, {'attr': {'id': reportNoteForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'company_location_management/form/looking_for_property_request_report/looking_for_property_request_report_note_form.html.twig' with {'form': reportNoteForm} only %}
            {% if is_granted('edit', lookingForPropertyRequestReport) == true %}
                {{ form_row(reportNoteForm._token) }}
                {{ form_end(reportNoteForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
